#!/usr/bin/ruby
#require 'profile'
require File.dirname(__FILE__) + "/selective_profiler.rb"

class Foo
  def bar
    1.upto(100) do
      quux
    end
  end

  instrument :bar

  def baz
    1.upto(150) do
      quux
    end
  end

  instrument :baz

  def quux
  end

  instrument :quux
end

foo = Foo.new
1.upto(150) do
  foo.bar
  foo.baz
end

puts SelectiveProfiler.global.report
    
