require 'test/unit'
require File.dirname(__FILE__) + "/nugget_data.rb"

class NuggetDataTest < Test::Unit::TestCase

  ANSWER_KEY = File.dirname(__FILE__) + "/../test_data/answer_key"

  def test_parse
    assert_equal({ "q02" => { "1" => true },
                   "3001" => { "2" => true, "3" => true, "4" => false,
                     "7" => true } },
                   NuggetData.parse_from_file(ANSWER_KEY).vitalities)
    assert_equal({ "q02" => { "1" => "baz" },
                   "3001" => { "2" => "quux", "3" => "quux2", "4" => "quux3",
                     "7" => "quux4" } },
                   NuggetData.parse_from_file(ANSWER_KEY).strings)
  end

end
